"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const size = require("../../constants/size.js");
const runtime = require("../../utils/vue/props/runtime.js");
const vue = require("vue");
const useSizeProp = runtime.buildProp({
  type: String,
  values: size.componentSizes,
  required: false
});
const SIZE_INJECTION_KEY = Symbol("size");
const useGlobalSize = () => {
  const injectedSize = vue.inject(SIZE_INJECTION_KEY, {});
  return vue.computed(() => {
    return vue.unref(injectedSize.size) || "";
  });
};
exports.SIZE_INJECTION_KEY = SIZE_INJECTION_KEY;
exports.useGlobalSize = useGlobalSize;
exports.useSizeProp = useSizeProp;
